<!DOCTYPE html>
<html><head>
<title>eric7.EricUtilities.__init__</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricUtilities.__init__</h1>
<p>
Package containing utility modules and functions.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#dataString">dataString</a></td>
<td>Function to generate a formatted size string.</td>
</tr>
<tr>
<td><a href="#strGroup">strGroup</a></td>
<td>Function to group a string into sub-strings separated by a separator.</td>
</tr>
<tr>
<td><a href="#strToQByteArray">strToQByteArray</a></td>
<td>Function to convert a Python string into a QByteArray.</td>
</tr>
<tr>
<td><a href="#toBool">toBool</a></td>
<td>Function to convert a value to bool.</td>
</tr>
<tr>
<td><a href="#toByteArray">toByteArray</a></td>
<td>Function to convert a value to a byte array.</td>
</tr>
<tr>
<td><a href="#toDict">toDict</a></td>
<td>Function to convert a value to a dictionary.</td>
</tr>
<tr>
<td><a href="#toList">toList</a></td>
<td>Function to convert a value to a list.</td>
</tr>
<tr>
<td><a href="#versionIsValid">versionIsValid</a></td>
<td>Function to check, if the given version string is valid.</td>
</tr>
<tr>
<td><a href="#versionToTuple">versionToTuple</a></td>
<td>Function to convert a version string into a tuple.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="dataString" ID="dataString"></a>
<h2>dataString</h2>
<b>dataString</b>(<i>size, loc=None</i>)
<p>
    Function to generate a formatted size string.
</p>

<dl>

<dt><i>size</i> (int)</dt>
<dd>
size to be formatted
</dd>
<dt><i>loc</i> (QLocale (optional))</dt>
<dd>
locale to be used for localized size strings (defaults to None)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
formatted data string
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="strGroup" ID="strGroup"></a>
<h2>strGroup</h2>
<b>strGroup</b>(<i>txt, sep, groupLen=4</i>)
<p>
    Function to group a string into sub-strings separated by a
    separator.
</p>

<dl>

<dt><i>txt</i> (str)</dt>
<dd>
text to be grouped
</dd>
<dt><i>sep</i> (str)</dt>
<dd>
separator string
</dd>
<dt><i>groupLen</i> (int)</dt>
<dd>
length of each group
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
result string
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="strToQByteArray" ID="strToQByteArray"></a>
<h2>strToQByteArray</h2>
<b>strToQByteArray</b>(<i>txt</i>)
<p>
    Function to convert a Python string into a QByteArray.
</p>

<dl>

<dt><i>txt</i> (str, bytes, bytearray)</dt>
<dd>
Python string to be converted
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
converted QByteArray
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QByteArray
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="toBool" ID="toBool"></a>
<h2>toBool</h2>
<b>toBool</b>(<i>value</i>)
<p>
    Function to convert a value to bool.
</p>

<dl>

<dt><i>value</i> (str)</dt>
<dd>
value to be converted
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
converted data
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="toByteArray" ID="toByteArray"></a>
<h2>toByteArray</h2>
<b>toByteArray</b>(<i>value</i>)
<p>
    Function to convert a value to a byte array.
</p>

<dl>

<dt><i>value</i> (QByteArray or None)</dt>
<dd>
value to be converted
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
converted data
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QByteArray
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="toDict" ID="toDict"></a>
<h2>toDict</h2>
<b>toDict</b>(<i>value</i>)
<p>
    Function to convert a value to a dictionary.
</p>

<dl>

<dt><i>value</i> (dict or None)</dt>
<dd>
value to be converted
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
converted data
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="toList" ID="toList"></a>
<h2>toList</h2>
<b>toList</b>(<i>value</i>)
<p>
    Function to convert a value to a list.
</p>

<dl>

<dt><i>value</i> (None, list or Any)</dt>
<dd>
value to be converted
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
converted data
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
list
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="versionIsValid" ID="versionIsValid"></a>
<h2>versionIsValid</h2>
<b>versionIsValid</b>(<i>version</i>)
<p>
    Function to check, if the given version string is valid.
</p>

<dl>

<dt><i>version</i> (str)</dt>
<dd>
version string
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating validity
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="versionToTuple" ID="versionToTuple"></a>
<h2>versionToTuple</h2>
<b>versionToTuple</b>(<i>version</i>)
<p>
    Function to convert a version string into a tuple.
</p>
<p>
    Note: A version string consists of non-negative decimals separated by "."
    optionally followed by a suffix. Suffix is everything after the last
    decimal.
</p>

<dl>

<dt><i>version</i> (str)</dt>
<dd>
version string
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
version named tuple containing the version parts
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
semver.VersionInfo
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
